import { tap, expect } from '@push.rocks/tapbundle';
import * as legal from '../ts/index.js';

tap.test('should exclude certain licenses', async () => {
  const licenseChecker = await legal.createLicenseChecker();
  const checkResult = await licenseChecker.excludeLicenseWithinPath(process.cwd(), ['MIT']);
  expect(checkResult.failingModules.length).toBeGreaterThan(10);
  console.log(checkResult);
});

tap.test('should include certain licenses', async () => {
  const licenseChecker = await legal.createLicenseChecker();
  const checkResult = await licenseChecker.includeLicencesWithinPath(process.cwd(), ['MIT']);
  expect(checkResult.failingModules.length).toBeGreaterThan(10);
});

tap.start();
